package com.alibaba.druid.sql.dialect.postgresql.ast.stmt;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.statement.SQLCreateStatement;
import com.alibaba.druid.sql.dialect.postgresql.visitor.PGASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class PGCreateSeqenceStatement extends SQLStatementImpl implements SQLCreateStatement {
   private boolean temporary;
   private boolean temp;
   private boolean increment;
   private boolean incrementBy;
   private boolean min;
   private boolean noMin;
   private boolean max;
   private boolean noMax;
   private SQLName sqeunceName;
   private SQLExpr incrementValue;
   private SQLExpr minValue;
   private SQLExpr maxValue;
   private boolean start;
   private boolean startWith;
   private SQLExpr startValue;
   private boolean cache;
   private SQLExpr cacheName;
   private boolean cycle;
   private boolean noCycle;
   private boolean ownedBy;
   private SQLExpr ownedByName;

   public boolean isTemporary() {
      return this.temporary;
   }

   public void setTemporary(boolean temporary) {
      this.temporary = temporary;
   }

   public boolean isTemp() {
      return this.temp;
   }

   public void setTemp(boolean temp) {
      this.temp = temp;
   }

   public boolean isIncrement() {
      return this.increment;
   }

   public void setIncrement(boolean increment) {
      this.increment = increment;
   }

   public boolean isIncrementBy() {
      return this.incrementBy;
   }

   public void setIncrementBy(boolean incrementBy) {
      this.incrementBy = incrementBy;
   }

   public boolean isMin() {
      return this.min;
   }

   public void setMin(boolean min) {
      this.min = min;
   }

   public boolean isNoMin() {
      return this.noMin;
   }

   public void setNoMin(boolean noMin) {
      this.noMin = noMin;
   }

   public boolean isMax() {
      return this.max;
   }

   public void setMax(boolean max) {
      this.max = max;
   }

   public boolean isNoMax() {
      return this.noMax;
   }

   public void setNoMax(boolean noMax) {
      this.noMax = noMax;
   }

   public SQLName getSqeunceName() {
      return this.sqeunceName;
   }

   public void setSqeunceName(SQLName sqeunceName) {
      this.sqeunceName = sqeunceName;
   }

   public SQLExpr getIncrementValue() {
      return this.incrementValue;
   }

   public void setIncrementValue(SQLExpr incrementValue) {
      this.incrementValue = incrementValue;
   }

   public SQLExpr getMinValue() {
      return this.minValue;
   }

   public void setMinValue(SQLExpr minValue) {
      this.minValue = minValue;
   }

   public SQLExpr getMaxValue() {
      return this.maxValue;
   }

   public void setMaxValue(SQLExpr maxValue) {
      this.maxValue = maxValue;
   }

   public boolean isStart() {
      return this.start;
   }

   public void setStart(boolean start) {
      this.start = start;
   }

   public boolean isStartWith() {
      return this.startWith;
   }

   public void setStartWith(boolean startWith) {
      this.startWith = startWith;
   }

   public SQLExpr getStartValue() {
      return this.startValue;
   }

   public void setStartValue(SQLExpr startValue) {
      this.startValue = startValue;
   }

   public boolean isCache() {
      return this.cache;
   }

   public void setCache(boolean cache) {
      this.cache = cache;
   }

   public SQLExpr getCacheName() {
      return this.cacheName;
   }

   public void setCacheName(SQLExpr cacheName) {
      this.cacheName = cacheName;
   }

   public boolean isCycle() {
      return this.cycle;
   }

   public void setCycle(boolean cycle) {
      this.cycle = cycle;
   }

   public boolean isNoCycle() {
      return this.noCycle;
   }

   public void setNoCycle(boolean noCycle) {
      this.noCycle = noCycle;
   }

   public boolean isOwnedBy() {
      return this.ownedBy;
   }

   public void setOwnedBy(boolean ownedBy) {
      this.ownedBy = ownedBy;
   }

   public SQLExpr getOwnedByName() {
      return this.ownedByName;
   }

   public void setOwnedByName(SQLExpr ownedByName) {
      this.ownedByName = ownedByName;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((PGASTVisitor)visitor);
   }

   public void accept0(PGASTVisitor visitor) {
      visitor.visit(this);
   }
}
